# -*- encoding: utf-8 -*-
# stub: bcrypt4 4.1.0 ruby lib
# stub: ext/mri/extconf.rb

Gem::Specification.new do |s|
  s.name = "bcrypt4".freeze
  s.version = "4.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Coda Hale".freeze]
  s.date = "2017-07-20"
  s.description = "    bcrypt() is a sophisticated and secure hash algorithm designed by The OpenBSD project\n    for hashing passwords. The bcrypt Ruby gem provides a simple wrapper for safely handling\n    passwords.\n".freeze
  s.email = "coda.hale@gmail.com".freeze
  s.extensions = ["ext/mri/extconf.rb".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "COPYING".freeze, "CHANGELOG".freeze, "lib/bcrypt.rb".freeze, "lib/bcrypt/error.rb".freeze, "lib/bcrypt/engine.rb".freeze, "lib/bcrypt/password.rb".freeze]
  s.files = ["CHANGELOG".freeze, "COPYING".freeze, "README.md".freeze, "ext/mri/extconf.rb".freeze, "lib/bcrypt.rb".freeze, "lib/bcrypt/engine.rb".freeze, "lib/bcrypt/error.rb".freeze, "lib/bcrypt/password.rb".freeze]
  s.homepage = "https://github.com/dissolve/bcrypt-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\n\n  There is a known issue with JRuby and '2y' format bcrypt hashes.\n  Due to an unfixed issue in jBCrypt, these hashes are not the same as on other implementations.\n\n".freeze
  s.rdoc_options = ["--title".freeze, "bcrypt-ruby".freeze, "--line-numbers".freeze, "--inline-source".freeze, "--main".freeze, "README.md".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "OpenBSD's bcrypt() password hashing algorithm.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake-compiler>.freeze, ["~> 1.0.4"])
    s.add_development_dependency(%q<rspec>.freeze, ["= 3.6"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 5.1.0"])
  else
    s.add_dependency(%q<rake-compiler>.freeze, ["~> 1.0.4"])
    s.add_dependency(%q<rspec>.freeze, ["= 3.6"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 5.1.0"])
  end
end
